Package pyamf :: Class ClassMetaData

[hide private]
[frames] | no frames]

# Class ClassMetaData

source code

I hold a list of tags relating to the class. The idea behind this is to emulate the metadata tags you can supply to ActionScript, e.g. `static`/`dynamic`.

Instance Methods | [hide private]

new list

__init__(self, *args) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code

_is_tag_allowed(self, x) | source code

append(self, x) Adds a tag to the metadata. | source code

__contains__(self, other) y in x | source code

Inherited from `list`: `__add__`, `__delitem__`, `__delslice__`, `__eq__`, `__ge__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__gt__`, `__hash__`, `__iadd__`, `__imul__`, `__iter__`, `__le__`, `__len__`, `__lt__`, `__mul__`, `__ne__`, `__new__`, `__repr__`, `__reversed__`, `__rmul__`, `__setitem__`, `__setslice__`, `count`, `extend`, `index`, `insert`, `pop`, `remove`, `reverse`, `sort`

Inherited from `object`: `__delattr__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__str__`

Class Variables | [hide private]

| _allowed_tags = ``(``(``'``static``'``,` `'``dynamic``'``,` `'``external``'``)``,` `(``'``amf3``'``,` `'``...``

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, *args)
(Constructor)

source code

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Returns: new list
Overrides: object.__init__
  (inherited documentation)

### append(self, x)

source code

Adds a tag to the metadata.

Parameters:
  - `x` - Tag.
Raises:
  - `ValueError` - Unknown tag.
Overrides: list.append

### __contains__(self, other)
(In operator)

source code

y in x

Overrides: list.__contains__
  (inherited documentation)

Class Variable Details | [hide private]

### _allowed_tags

Value:

      (('static', 'dynamic', 'external'), ('amf3', 'amf0'), ('anonymous'))